cURL
curl -X GET "https://api.bizmori.com/api/v2/orders?page=1&limit=10&status=all" \
-H "Authorization: Bearer YOUR_API_TOKEN"const params = new URLSearchParams({ page: 1, limit: 10, status: 'all' });
const response = await fetch(
`https://api.bizmori.com/api/v2/orders?${params}`,
{ headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' } }
);
const data = await response.json();import requests
response = requests.get(
'https://api.bizmori.com/api/v2/orders',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
params={'page': 1, 'limit': 10, 'status': 'all'}
)
data = response.json()
{
"data": {
"orders": [
{
"orderId": "<string>",
"orderName": "<string>",
"fileCount": 123,
"thumbnailImageUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"probability": 123
}
],
"pageInfo": {
"totalItems": 123,
"totalPages": 123,
"currentPage": 123,
"itemsPerPage": 123
}
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}Orders
List orders
Retrieve orders with pagination.
- Filter by status, type, and channel
- Keyword search supported
- Sorted by most recent
GET
/
api
/
v2
/
orders
cURL
curl -X GET "https://api.bizmori.com/api/v2/orders?page=1&limit=10&status=all" \
-H "Authorization: Bearer YOUR_API_TOKEN"const params = new URLSearchParams({ page: 1, limit: 10, status: 'all' });
const response = await fetch(
`https://api.bizmori.com/api/v2/orders?${params}`,
{ headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' } }
);
const data = await response.json();import requests
response = requests.get(
'https://api.bizmori.com/api/v2/orders',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
params={'page': 1, 'limit': 10, 'status': 'all'}
)
data = response.json()
{
"data": {
"orders": [
{
"orderId": "<string>",
"orderName": "<string>",
"fileCount": 123,
"thumbnailImageUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"probability": 123
}
],
"pageInfo": {
"totalItems": 123,
"totalPages": 123,
"currentPage": 123,
"itemsPerPage": 123
}
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}Authorizations
API Key for external client access
Query Parameters
Page number
Required range:
x >= 1Items per page (-1 for all)
Required range:
1 <= x <= 100Search keyword
Status filter
Available options:
pending, inProgress, complete, failed, expired, all Order type filter
Available options:
antiAi, watermarkEmbed, watermarkExtract, aiDetection, all Channel filter
Available options:
api, web, all Response
Success
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Order ID
Order name
Order type
Available options:
antiAi, watermarkEmbed, watermarkExtract, aiDetection Order channel
Available options:
api, web Order status
- pending - Waiting
- inProgress - Processing
- complete - Completed
- failed - Failed
- expired - Expired (order files unavailable after 7 days)
Available options:
pending, inProgress, complete, failed, expired Number of files
Thumbnail image URL (presigned URL)
Created at
Last updated at
AI detection probability (aiDetection orders only)
AI detection result code (aiDetection orders only)
- likely_real - Likely real content
- uncertain_real - Uncertain, leaning real
- uncertain_ai - Uncertain, leaning AI
- likely_ai - Likely AI-generated content
Available options:
likely_real, uncertain_real, uncertain_ai, likely_ai ⌘I